QGIS Application - Feature request #5561
Project Scale List
2012-05-09 12:39 PM - Michael Douchin

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Project Loading/Saving

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 15146
Description

This patch adds a new feature in Qgis Desktop project properties. The aim is to provide a way to configure and use a scale list for each
project:

- display and manage a list of user defined scales per project in the project properties dialog
- replace the content of the status bar scale combobox if project scales are defined when opening an existing project
- default scale list is used whenever no project scale list has been found

The patch can be found here
https://gist.github.com/2627175

PS: This is my first patch for Qgis, so feel free to comment/modify/annotate.
PS2: | assigned this patch to Alexander Bruy, author of the QScaleCombobox class.

History

#1 - 2012-05-09 06:05 PM - Nathan Woodrow

Good job. Looks good to me. Might have to wait until 1.8 is out though as it's a new feature, not really a bug fix.

#2 - 2012-05-10 12:22 AM - Alexander Bruy

- Target version changed from Version 1.8.0 to Version 2.0.0

Thanks for patch, I'll look at it ASAP. But as this new feature it can be applied only after releasing 1.8.0

#3 - 2012-05-10 12:27 AM - Michael Douchin
- Pull Request or Patch supplied changed from No to Yes

Thanks for reviewing this patch. Good point for postpone it to Qgis after 1.8.
Please have a look to my use of the method "showScale" and "mMapCanvas->updateScale()". | did not know very well Qgis core, so it may be a bit
hacky...

#4 - 2012-06-01 07:03 AM - Michael Douchin
- File gistfile1.diff added

"physical" file attached (just in case)
https://gist.github.com/2627175

#5 - 2012-07-05 04:10 AM - Alexander Bruy

- Status changed from Open to In Progress

#6 - 2012-07-18 12:46 AM - Alexander Bruy
- Resolution set to fixed

- Status changed from In Progress to Closed

Available starting from commit:fe2252de5e

Files

gistfile1.diff 11.8 KB
